Skip links
Arpine Maghakyan

Arpine Maghakyan

Security Researcher of RedRays.

Authorization check for SRM Analysis Cockpit Tool, SAP security note 1427008

Description

Due to a vulnerability which exists in the SRM Analysis Cockpit Tool, which is part of the SAP Supplier Relationship management (SAP SRM) solution, it is possible for a hacker to access restricted SAP transactions at runtime. This can lead to any or all of the following:

    1. Manipulation of Business Logic, resulting in inconsistent data states
    2. May lead ot violation of  regulatory compliance as this vulnerability allows for unprivileged access to ciritcal business logic.

Affected Releases:

  •   SAP SRM 5.0
  •   SAP SRM 6.0
  •   SAP SRM 7.0

Available fix and Supported packages

  • SRM_SERVER | 550 | 550
  • SRM_SERVER | 600 | 600
  • SRM_SERVER | 700 | 700
  • SRM_SERVER 600 | SAPKIBKU06 |
  • SRM_SERVER 550 | SAPKIBKT17 |
  • SRM_SERVER 700 | SAPKIBKV08 |

Affected component

    SRM-EBP-PD
    Procurement Document Methods

CVSS

Score: 0

Exploit

Exploit is not available.
For detailed information please contact the mail [email protected]

URL

https://launchpad.support.sap.com/#/notes/1427008

TAGS

#SRM
#Supplier-Relationship-Management
#procurement
#E-Commerce
#Web
#business-to-business
#SAP-Business-to-Business-Procurement-BBP
#business-to-business
#e-business
#Ebusiness
#Internet
#EBP
#Enterprise-Buyer
#EnterpriseBuyer-professional-edition
#SRM_SERVER
#ACP
#Analyis-Cockpit-Tool
#Security-vulnerability
#Dynamic-Function-call

More to explorer